cd
use "数据.dta",clear
global control Lnsize Lnwage Leverage SOE Lnage Top10 Indep Dual RD FCF

*******************【描述性统计】*******************
logout,save(描述性统计) word replace dec(3):tabstat fin ROA ROE EBITOA Mb $control ,stat(count mean sd min max) c(s)

*******************【主回归】*******************
xtset stkcd year
reghdfe ROA fin $control, absorb(year ind) cluster(stkcd) keepsing 
est store a1
reghdfe ROE fin $control, absorb(year ind) cluster(stkcd) keepsing 
est store a2
reghdfe EBITOA fin $control, absorb(year ind) cluster(stkcd) keepsing 
est store a3
reghdfe Mb fin $control, absorb(year ind) cluster(stkcd) keepsing
est store a4
outreg2 [a1 a2 a3 a4] using 主回归.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe ROA fin $control ,absorb(year ind year#new_city) cluster(stkcd) keepsing 
est store a1
reghdfe ROE fin $control ,absorb(year ind year#new_city) cluster(stkcd) keepsing 
est store a2
reghdfe EBITOA fin $control ,absorb(year ind year#new_city) cluster(stkcd) keepsing 
est store a3
reghdfe Mb fin $control ,absorb(year ind year#new_city) cluster(stkcd) keepsing 
est store a4
outreg2 [a1 a2 a3 a4] using 增加固定效应.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES,  Industry*City, YES) 

*******************【工具变量】*******************
ivreghdfe ROA $control (fin=lfiniv), a(year ind) cluster(stkcd) first savefirst savefprefix(f)
eststo 
estadd scalar CDFstat = `e(cdf)': ffin 
ivreghdfe ROA $control (fin=lfiniv), a(year ind) cluster(stkcd)
est sto a1
ivreghdfe ROE $control (fin=lfiniv), a(year ind) cluster(stkcd)
est sto a2
ivreghdfe EBITOA $control (fin=lfiniv), a(year ind) cluster(stkcd)
est sto a3
ivreghdfe Mb $control (fin=lfiniv), a(year ind) cluster(stkcd)
est sto a4
esttab ffin a1 a2 a3 a4  using 工具变量.rtf , se replace b(%12.3f) t(%12.2f) scalars(Year Firm Cluster N CDFstat ) star(* 0.1 ** 0.05 *** 0.01) nogap compress nonotes

reghdfe ROA highnum $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a1
reghdfe ROE highnum $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a2
reghdfe EBITOA highnum $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a3
reghdfe Mb highnum $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a4
outreg2 [a1 a2 a3 a4] using 分组检验.rtf,replace dec(3) ///
 addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

*******************【稳健性检验】*******************
reghdfe ROTA fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1 
reghdfe Productivity fin $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a2
reghdfe ROA lnallianceAMT $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a3
reghdfe ROE lnallianceAMT $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a4
reghdfe EBITOA lnallianceAMT $control, absorb(year ind) cluster(stkcd) keepsing 
est sto a5
reghdfe Mb lnallianceAMT $control, absorb(year ind) cluster(stkcd) keepsing
est sto a6
outreg2 [a1 a2 a3 a4 a5 a6] using 稳健性检验.rtf,replace dec(3) ///
 addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

*******************【机制检验】*******************
reghdfe RiskT1 fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe RiskT2 fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
reghdfe risk fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a3
outreg2 [a1 a2 a3] using 机制检验.risk.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe Costs fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe CROR fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
outreg2 [a1 a2] using 机制检验.cost.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe lnfund fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe fundshr fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
reghdfe lnbond fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a3
reghdfe bondshr fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a4
reghdfe Bankload fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a5
outreg2 [a1 a2 a3 a4 a5] using 机制检验.loan.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe Invest fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe ROIC fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
reghdfe Fin_Inv fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a3
reghdfe flncoreincrate2 fin $control, absorb(year ind) cluster(stkcd) keepsing
est sto a4
outreg2 [a1 a2 a3 a4] using 机制检验.invest.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

*******************【异质性分析】*******************
xi:probit invfund bank-other $control i.year i.ind, r
est sto a1
xi:probit credit bank-other $control i.year i.ind, r
est sto a2
xi:probit assetmanage bank-other $control i.year i.ind, r
est sto a3
xi:probit securitization bank-other $control i.year i.ind, r
est sto a4
xi:probit insdeal bank-other $control i.year i.ind, r
est sto a5
outreg2 [a1 a2 a3 a4 a5] using 分机构类型.rtf,replace dec(3) ///
 addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe ROA bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe ROE bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
reghdfe EBITOA bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a3
reghdfe Mb bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a4
outreg2 [a1 a2 a3 a4] using 分机构类型2.rtf,replace dec(3) ///
 addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe risk bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a1
reghdfe CROR bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a2
reghdfe Invest bank-other $control, absorb(year ind) cluster(stkcd) keepsing
est sto a3
outreg2 [a1 a2 a3] using 分机构类型3.rtf,replace dec(3) ///
 addtext(Controls, YES,Year FE, YES, Industry FE, YES) 

reghdfe ROA fin $control if SOE==0, absorb(year ind) cluster(stkcd) keepsing 
est store a1
reghdfe ROE fin $control if SOE==0, absorb(year ind) cluster(stkcd) keepsing 
est store a2
reghdfe EBITOA fin $control if SOE==0, absorb(year ind) cluster(stkcd) keepsing 
est store a3
reghdfe Mb fin $control if SOE==0, absorb(year ind) cluster(stkcd) keepsing
est store a4
reghdfe ROA fin $control if SOE==1, absorb(year ind) cluster(stkcd) keepsing 
est store a5
reghdfe ROE fin $control if SOE==1, absorb(year ind) cluster(stkcd) keepsing 
est store a6
reghdfe EBITOA fin $control if SOE==1, absorb(year ind) cluster(stkcd) keepsing 
est store a7
reghdfe Mb fin $control if SOE==1, absorb(year ind) cluster(stkcd) keepsing
est store a8
outreg2 [a1 a2 a3 a4 a5 a6 a7 a8] using 异质性_国企民企.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 


reghdfe ROA fin $control if highmarket==1, absorb(year ind) cluster(stkcd) keepsing 
est store a1
reghdfe ROE fin $control if highmarket==1, absorb(year ind) cluster(stkcd) keepsing 
est store a2
reghdfe EBITOA fin $control if highmarket==1, absorb(year ind) cluster(stkcd) keepsing 
est store a3
reghdfe Mb fin $control if highmarket==1, absorb(year ind) cluster(stkcd) keepsing
est store a4
reghdfe ROA fin $control if highmarket==0, absorb(year ind) cluster(stkcd) keepsing 
est store a5
reghdfe ROE fin $control if highmarket==0, absorb(year ind) cluster(stkcd) keepsing 
est store a6
reghdfe EBITOA fin $control if highmarket==0, absorb(year ind) cluster(stkcd) keepsing 
est store a7
reghdfe Mb fin $control if highmarket==0, absorb(year ind) cluster(stkcd) keepsing
est store a8
outreg2 [a1 a2 a3 a4 a5 a6 a7 a8] using 异质性_市场化.rtf,replace dec(3) ///
keep(fin $control) addtext(Controls, YES,Year FE, YES, Industry FE, YES) 